﻿@using StarterProjectV2.Models
@model StarterProjectV2.ViewModels.OwnerRoomSlotManagementView

@{
    ViewBag.Title = "AdditionalInformation";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    @*<script src="https://code.jquery.com/jquery-1.10.2.js"></script>*@
    @*<script type="text/javascript" src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>*@
    @*<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">*@

    @*for the tab switching*@
    @*<link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet">*@
    @*<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.js"></script>*@
    @*<script type="text/javascript" src="//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>*@

    <script src="~/Content/vendors/js/toastr.min.js"></script>
    @*<script src="~/Content/vendors/js/coreui.min.js"></script>*@
}

<div class="row justify-content-center mt-4" id="roomslot">
    <div class="card col-12" style="padding: 50px">
        <div class="card-body" id="class-body-project">
            <h2 class="text-center mb-5" style="color: cadetblue">Allocate Owner's Room Slot</h2>
            <p class="text-muted"></p>

            @*@using (Html.BeginForm("OwnersRoomSlotInfo", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))*@
            @using (Html.BeginForm("OwnersRoomSlotInfo", "OwnerRoomSlotAssignment", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))            {
            <div class="form-group row">
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Rooms Available</label>
                <div class="col-sm-4">
                    @Html.DropDownListFor(m => m.RoomId, @Model.Rooms.Select(m => new SelectListItem()
                    {
                        Text = m.RoomNo,
                        Value = m.RoomId
                    }), "------", new { @class = "form-control", id = "sel1" })

                </div>
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Slots Available</label>
                <div class="col-sm-4">
                    @Html.DropDownListFor(m => m.SlotId, new SelectList(Enumerable.Empty<SelectListItem>()), new { @class = "form-control", id = "sel2" })
                </div>
               

            </div>
            <div class="form-group row">
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Rate</label>
                <div class="col-sm-4">
                    @Html.TextBoxFor(m => m.Rate, new { @class = "form-control", id = "sl1" })
                </div>

                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Owners' List</label>
                <div class="col-sm-4">
                    @Html.DropDownListFor(m => m.OwnerId, @Model.Owners.Select(m => new SelectListItem()
                    {
                        Text = m.Name + " " + m.OwenerId,
                        Value = m.OwenerId
                    }), "------", new { @class = "form-control", id = "sel1" })
                </div>

            </div>
            <hr />

                @*@Html.HiddenFor(m => m.OwnersFamilies.OwnersFamilyId)*@
                @*@Html.HiddenFor(m => m.ORSAOwnerId)*@
                <div class="row d-flex justify-content-end">
                    <div>
                        <button type="submit" class="btn btn-primary px-3 py-2 m-1" onclick="retrieveRoomSlots()">Submit</button>
                    </div>
                    <div>
                        <button type="button" class="btn btn-danger px-3 py-2 m-1 reset">Reset</button>
                    </div>
                </div>
                }
            </div>
    </div>
</div>

<script>

    $("#sel1").change(function () {
        $.getJSON("../OwnersInfo/gettingSlotList2", { roomId: $("#sel1 option:selected").val() },
            function (data) {

                var select = $("#sel2");
                select.empty();


                select.append($('<option/>', {
                    value: 0,
                    text: "--"
                }));


                $.each(data, function (index, itemData) {

                    select.append($('<option/>', {
                        value: itemData.Value,
                        text: itemData.Text
                    }));

                });
            });
    });
</script>

@*<script>
    function ShowingToastr() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        var len = ChildName.length;
        var flg = false;
        for (var i = 0; i < len; i++) {
            if (ChildName[i] == "") {
                flg = true;
                break;
            }
        }
        if (flg == true) {
            toastr.error('Please Fill Up All the Child Name', 'Error!!!!', {
                closeButton: true,
                progressBar: true,
            });
        }
    }
</script>*@

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });



    $(document).ready(function() {
        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });
        $('.reset').click(function() {
            location.reload();
        });
        $("#reportItem").remove();
        @*$("#dashboardItem").click(function() {
            document.location = '@Url.Action("ExportExcel", "OwnersInfo")';
        });*@
        @*$("#reportItem").click(function() {
            document.location = '@Url.Action("RoomReport", "OwnersInfo")';
        });*@

    });


</script>
<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>